;;; site-init.el -- site initialization parameters

;;; CHOI Junho <junker@jazz.snu.ac.kr> 98/4/5
;;;
;;; for ko-emacs-20.2 ports
;;;

;;;; for emacs-20.2 Korean
;;;;
(set-language-environment 'Korean)

;;;; set input method toggle key to 'Shift-Space'
(global-set-key [?\S- ] 'toggle-input-method)

;;;; give highest priority to euc-kr
(prefer-coding-system 'korean-iso-8bit)

;;;; From Mr. Shin's FAQ
(defun set-clipboard-coding-system (user-coding-system)
  "Set `clipboard-coding-system' for communicating with other X clients.
When sending or receiving text via cut_buffer, selection, and clipboard,
the text is encoded or decoded by this coding system.
A default value is `iso-latin-1'"
  (interactive "zClipboard coding system: ")

  (setq clipboard-coding-system user-coding-system))

;; General korean langauge environment setting
(setq-default file-name-coding-system 'euc-kr)

;; Proper copy and paste with other windows in window environment
(set-clipboard-coding-system 'euc-kr)

;; For use of `emacs -nw' in Korean terminal emulator
(if (and (null window-system) (null noninteractive))
    (progn
      (set-keyboard-coding-system 'euc-kr)
      (set-terminal-coding-system 'euc-kr)))

;; Hangul Usenet Newsgroup setting
;;(gnus-mule-add-group "han" 'euc-kr)
